Package org.eclipse.launchbar.core

# Interface ILaunchDescriptorType

All Known Implementing Classes:
  `DefaultLaunchDescriptorType`

public interface ILaunchDescriptorType
Provides mapping between launch objects and launch descriptors.

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`canDelete()`
Do the launch configurations of this type support being deleted.
`ILaunchDescriptor`
`getDescriptor(Object launchObject)`
Return a descriptor for the given launch object.
`default boolean`
`supportsTargets()`
Does this descriptor type support launching on targets other than Local?

## Method Details

### getDescriptor

ILaunchDescriptor getDescriptor(Object launchObject) throws org.eclipse.core.runtime.CoreException
Return a descriptor for the given launch object. May return null to essentially eat the element so no other types create a descriptor for it. The enablement expression for a given launch object must pass for this clause to be executed.

Parameters:
  `descriptor` - launch object for descriptor
Returns:
  the best descriptor
Throws:
  `org.eclipse.core.runtime.CoreException`

### supportsTargets

default boolean supportsTargets() throws org.eclipse.core.runtime.CoreException
Does this descriptor type support launching on targets other than Local?

Returns:
  supports targets
Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  2.1

### canDelete

default boolean canDelete()
Do the launch configurations of this type support being deleted.

Returns:
  true if can be deleted
Since:
  2.4